## Edit details of a schema to enable validation `client.SchemaValidation.Schemas.Edit(ctx, schemaID, params) (*PublicSchema, error)` **patch** `/zones/{zone_id}/schema_validation/schemas/{schema_id}` Modifies an existing OpenAPI schema in API Shield, updating the validation rules for associated API operations. ### Parameters - `schemaID string` UUID. - `params SchemaEditParams` - `ZoneID param.Field[string]` Path param: Identifier. - `ValidationEnabled param.Field[bool]` Body param: Flag whether schema is enabled for validation. ### Returns - `type PublicSchema struct{…}` A schema used in schema validation - `CreatedAt Time` - `Kind PublicSchemaKind` The kind of the schema - `const PublicSchemaKindOpenAPIV3 PublicSchemaKind = "openapi_v3"` - `Name string` A human-readable name for the schema - `SchemaID string` A unique identifier of this schema - `Source string` The raw schema, e.g., the OpenAPI schema, either as JSON or YAML - `ValidationEnabled bool` An indicator if this schema is enabled ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/schema_validation" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) publicSchema, err := client.SchemaValidation.Schemas.Edit( context.TODO(), "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", schema_validation.SchemaEditParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", publicSchema.SchemaID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "created_at": "2014-01-01T05:20:00.12345Z", "kind": "openapi_v3", "name": "petstore schema", "schema_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "source": "", "validation_enabled": true }, "success": true } ```